// user
import OrganizationManage from "./views/OrganizationManage.vue";
import RoleManage from "./views/RoleManage.vue";
import UserManage from "./views/UserManage.vue";

// dict
import StudentManage from "./views/StudentManage.vue";
import CourseManage from "./views/CourseManage.vue";
import SemesterManage from "./views/SemesterManage.vue";
import MajorManage from "./views/MajorManage.vue";
import CollegeManage from "./views/CollegeManage.vue";

export default [
  {
    path: "/base/organization-manage",
    name: "OrganizationManage",
    component: OrganizationManage
  },
  {
    path: "/base/role-manage",
    name: "RoleManage",
    component: RoleManage
  },
  {
    path: "/base/user-manage",
    name: "UserManage",
    component: UserManage
  },
  {
    path: "/base/course-manage",
    name: "CourseManage",
    component: CourseManage
  },
  {
    path: "/base/student-manage",
    name: "StudentManage",
    component: StudentManage
  },
  {
    path: "/base/semester-manage",
    name: "SemesterManage",
    component: SemesterManage
  },
  {
    path: "/base/major-manage",
    name: "MajorManage",
    component: MajorManage
  },
  {
    path: "/base/college-manage",
    name: "CollegeManage",
    component: CollegeManage
  }
];
